LOCALSEARCH-INFO(1)

NAME
localsearch-info - Retrieve information available for files and resources.

SYNOPSIS

localsearch info [options...] <file1> [[file2] ...]

DESCRIPTION

localsearch info asks for all the known metadata available for the given file.

Multiple file arguments can be provided to retrieve information about multiple files.

The file argument can be either a local path or a URI. It also does not have to be an absolute path.

OPTIONS

-f, --full-namespaces
    By default, all keys and values reported about any given file are returned in shortened form, for example, nie:title is shown instead of http://tracker.api.gnome.org/ontology/v3/nie#title. This makes things much easier to see generally and the output is less cluttered. This option reverses that so FULL namespaces are shown instead.

-c, --plain-text-content
    If the resource being displayed has nie:PlainTextContent (i.e. information about the content of the resource, which could be the contents of a file on the disk), then this option displays that in the output.

-m, --mount=<FILE>
    If a removable device mount path is specified, the information will be retrieved from the specific database for this mount point. If it is not specified, the data will be obtained from the main instance.

-o, --output-format=<FORMAT>
    Choose which format to use to output results. Supported formats are turtle, trig and json-ld.

-e, --eligible=<FILE>
    Checks whether a file is eligible for indexing. There might be a number of factors why it is not, e.g. being in a non-indexed folder, via configuration or filters.

SEE ALSO

tinysparql sparql(1).

http://nepomuk.semanticdesktop.org/ http://www.w3.org/TR/rdf-sparql-query/